<form [formGroup]="addressForm">

  <div class="">
    <app-google-address [containerClass]="containerClass" [country]="country" [selectedAddress]="this.addressForm.get(addressFieldName).value"
                        (address)="addressHandler($event)"
                        (addressManual)="addressManualHandler($event)">
    </app-google-address>

  </div>
  <div *ngIf="hasAddress2">
    <mat-form-field [appearance]="appearance" class="full-width">
      <mat-label>Address 2</mat-label>
      <input matInput [formControlName]="address2FieldName" placeholder="Address 2"/>
    </mat-form-field>
  </div>

  <div class="row">
    <div class="col-md-6">
      <mat-form-field [appearance]="appearance" class="full-width">
        <mat-label>Country</mat-label>
        <input matInput [formControlName]="countryFieldName" placeholder="Country" autocomplete="off"
               [class.disable-label]="disabledInput"
               (keypress)="locationValidation($event)" [readonly]="disabledInput"/>
      </mat-form-field>
    </div>
    <div class="col-md-6">
      <mat-form-field [appearance]="appearance" class="full-width">
        <mat-label>State</mat-label>
        <input matInput [formControlName]="stateFieldName" placeholder="State" [class.disable-label]="disabledInput"
               (keypress)="locationValidation($event)"
               [readonly]="disabledInput"/>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <mat-form-field [appearance]="appearance" class="full-width">
        <mat-label>City</mat-label>
        <input matInput [formControlName]="cityFieldName" placeholder="City" [class.disable-label]="disabledInput"
               (keypress)="locationValidation($event)"
               [readonly]="disabledInput"/>
      </mat-form-field>
    </div>
    <div class="col-md-6">
      <mat-form-field [appearance]="appearance" class="full-width">
        <mat-label>Post code</mat-label>
        <input matInput [formControlName]="postCodeFieldName" placeholder="Post Code" type="number"/>
      </mat-form-field>
    </div>
  </div>
</form>

